Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfPageNumberCitation

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfPageNumberCitation

public class RtfPageNumberCitation
extends RtfContainer

Author:
  Christopher Scott, scottc@westinghouse.com, Boris Pouderous, boris.pouderous@free.fr

Field Summary
`static java.lang.String` | `RTF_FIELD` constant for field
`static java.lang.String` | `RTF_FIELD_PAGEREF_MODEL` constant for field pageref model
`static java.lang.String` | `RTF_FIELD_RESULT` constant for field result

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`boolean` | `isEmpty()`
`protected void` | `writeRtfContent()` Write the content

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RTF_FIELD

    public static final java.lang.String RTF_FIELD

  constant for field

  See Also:
    Constant Field Values

### RTF_FIELD_PAGEREF_MODEL

    public static final java.lang.String RTF_FIELD_PAGEREF_MODEL

  constant for field pageref model

  See Also:
    Constant Field Values

### RTF_FIELD_RESULT

    public static final java.lang.String RTF_FIELD_RESULT

  constant for field result

  See Also:
    Constant Field Values

Method Detail

### writeRtfContent

    protected void writeRtfContent()
                            throws java.io.IOException

  Write the content

  Overrides:
    `writeRtfContent` in class `RtfContainer`
  Throws:
    `java.io.IOException` - for I/O problems

### isEmpty

    public boolean isEmpty()

  Overrides:
    `isEmpty` in class `RtfContainer`
  Returns:
    true if this element would generate no "useful" RTF content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.